## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate procfs

Name:           rust-procfs
Version:        0.17.0
Release:        %autorelease
Summary:        Interface to the linux procfs pseudo-filesystem

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/procfs
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * Remove benchmark-only dev-dependency on criterion
# * Remove dev-dependency on procinfo (missing, depends on outdated nom 2)
Patch:          procfs-fix-metadata.diff
# * Omit the test that would introduce the procinfo dev-dependency
Patch10:        procfs-0.17.0-no-test_procinfo.patch
# * Work around 32/64 bit mismatch
# * https://github.com/eminence/procfs/pull/326
# * Exported with git format-patch --relative.
Patch11:        0001-Work-around-32-64-bit-mismatch.patch

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Interface to the linux procfs pseudo-filesystem.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/COPYRIGHT.txt
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+backtrace-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+backtrace-devel %{_description}

This package contains library source intended for building other packages which
use the "backtrace" feature of the "%{crate}" crate.

%files       -n %{name}+backtrace-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+chrono-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+chrono-devel %{_description}

This package contains library source intended for building other packages which
use the "chrono" feature of the "%{crate}" crate.

%files       -n %{name}+chrono-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+flate2-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+flate2-devel %{_description}

This package contains library source intended for building other packages which
use the "flate2" feature of the "%{crate}" crate.

%files       -n %{name}+flate2-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde1-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde1-devel %{_description}

This package contains library source intended for building other packages which
use the "serde1" feature of the "%{crate}" crate.

%files       -n %{name}+serde1-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * Some tests must be run serially:
#   https://github.com/eminence/procfs/issues/322
skip="${skip-} --skip _runsinglethread"
# * thread 'sys::kernel::random::tests::test_write_wakeup_threshold' panicked at
#   src/sys/kernel/random.rs:94:24: test_write_wakeup_threshold error: Io(Os {
#   code: 30, kind: ReadOnlyFilesystem, message: "Read-only file system" },
#   Some("/proc/sys/kernel/random/write_wakeup_threshold")). This fails in a git
#   checkout if it is running in a mock chroot.
skip="${skip-} --skip sys::kernel::random::tests::test_write_wakeup_threshold"
%ifnarch x86_64 %{ix86}
# * On non-x86 architectures, test_cpuinfo fails:
#   https://github.com/eminence/procfs/issues/323
skip="${skip-} --skip tests::test_cpuinfo"
%endif
%ifarch s390x
# * On s390x, test_kernel_stat and test_meminfo fail:
#   https://github.com/eminence/procfs/issues/324
skip="${skip-} --skip tests::test_kernel_stat"
skip="${skip-} --skip tests::test_meminfo"
%endif

%{cargo_test -- -- ${skip-}}
# Run the tests that must be run serially:
%{cargo_test -- -- _runsinglethread --test-threads 1}
%endif

%changelog
## START: Generated by rpmautospec
* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sun Dec 22 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.17.0-4
- Fix arch-conditional test skipping

* Sat Dec 21 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.17.0-3
- Run certain tests serially

* Fri Dec 20 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.17.0-2
- Report and skip failing tests on non-x86_64 architectures
- Fix tests failing to compile on 32-bit architectures

* Fri Dec 06 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.17.0-1
- Update to version 0.17.0; Fixes RHBZ#2316899
- Re-enable all tests except test_procinfo, and a couple we had to skip

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 05 2024 Michel Lind <salimma@fedoraproject.org> - 0.16.0-2
- Add license files

* Fri Jan 05 2024 Michel Lind <salimma@fedoraproject.org> - 0.16.0-1
- Update to 0.16.0

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat May 20 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.15.1-1
- Update to 0.15.1

* Mon Apr 10 2023 Fabio Valentini <decathorpe@gmail.com> - 0.14.2-2
- Bump rustix from 0.36 to 0.37

* Fri Feb 17 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.14.2-1
- Update to 0.14.2

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Jul 27 2022 Fabio Valentini <decathorpe@gmail.com> - 0.12.0-1
- Update to version 0.12.0

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Dec 07 2020 Fabio Valentini <decathorpe@gmail.com> - 0.9.1-1
- Update to version 0.9.1.
- Fixes RHBZ#1904719

* Mon Nov 30 2020 Fabio Valentini <decathorpe@gmail.com> - 0.9.0-1
- Update to version 0.9.0.
- Fixes RHBZ#1897814

* Wed Sep 30 2020 Dusty Mabe <dusty@dustymabe.com> - 0.8.1-1
- Update to 0.8.1

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sat May 16 20:36:53 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.7.9-1
- Update to 0.7.9

* Sat Mar 14 2020 Josh Stone <jistone@redhat.com> - 0.7.8-1
- Update to 0.7.8

* Fri Feb 14 07:24:21 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.7.7-1
- Initial package

## END: Generated by rpmautospec
